## org.gnu.glib
Class Boxed

    java.lang.Object
      org.gnu.glib.Boxed

Direct Known Subclasses:
  AccelKey, AccelMap, ActionEntry, Atom, Attribute, AttrIterator, BindingSet, Border, Clipboard, Color, Color, Coverage, Cursor, Error, Event, EventAny, EventButton, EventClient, EventConfigure, EventCrossing, EventDND, EventExpose, EventFocus, EventKey, EventMotion, EventNoExpose, EventOwnerChange, EventProperty, EventProximity, EventScroll, EventSelection, EventSetting, EventVisibility, EventWindowState, FontDescription, FontMetrics, GlyphString, IconInfo, IconSet, IconSource, ImageAnimationData, ImageIconSetData, ImageImageData, ImagePixbufData, ImagePixmapData, ImageStockData, ItemFactoryEntry, KeymapKey, Language, LayoutLine, List, Pango, PixbufAnimation, PixbufAnimationIter, PixbufFormat, Point, Property, Quark, RadioActionEntry, Rc, RcProperty, Rectangle, Rectangle, Region, Requisition, RgbCmap, Segment, Span, State, TabArray, TargetEntry, TextAppearance, TextAttributes, TextIter, TextLine, TextLineData, ToggleActionEntry, ToolTipsData, TreeIter, TreePath, Value, WidgetAuxInfo

public class Boxed
extends java.lang.Object

Base class for all classes resulting from a `define-boxed` in a `.defs` file.

Field Summary
`protected Handle` `handle` holder for the raw GLib/GTK pointer

Constructor Summary
`protected` `Boxed()` This class is only instantiable via subclasses.
`protected` `Boxed(Handle handle)`

Method Summary
`boolean` `equals(java.lang.Object other)` Check if two objects refer to the same (native) object.
`Handle` `getHandle()` Get the raw handle value.
`int` `hashCode()` Returns a hash code value for the object.
`protected void` `setHandle(Handle handle)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handle

    protected Handle handle

  holder for the raw GLib/GTK pointer

Constructor Detail

### Boxed

    protected Boxed()

  This class is only instantiable via subclasses.

### Boxed

    protected Boxed(Handle handle)

Method Detail

### getHandle

    public final Handle getHandle()

  Get the raw handle value.

  Returns:
    the handle value.

### setHandle

    protected void setHandle(Handle handle)

### equals

    public boolean equals(java.lang.Object other)

  Check if two objects refer to the same (native) object.

  Parameters:
    `other` - the reference object with which to compare.
  Returns:
    true if both objects refer to the same object.

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This allows for using Boxed objects as keys in hashmaps.

  Returns:
    a hash code value for the object.